> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List allowed FOC dates

> Returns a list of allowed FOC dates for a porting order.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/numbers-identity/porting-orders.yml get /porting_orders/{id}/allowed_foc_windows
openapi: 3.1.0
info:
  title: Telnyx Porting Orders API
  version: 2.0.0
  description: API for managing porting order lifecycle.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /porting_orders/{id}/allowed_foc_windows:
    get:
      tags:
        - Porting Orders
      summary: List allowed FOC dates
      description: Returns a list of allowed FOC dates for a porting order.
      operationId: ListAllowedFocWindows
      parameters:
        - $ref: '#/components/parameters/PathPortingOrderID'
      responses:
        '200':
          $ref: '#/components/responses/ListAllowedFocWindows'
        '401':
          description: Unauthorized
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.portingOrders.retrieveAllowedFocWindows(
              '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
            );


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.porting_orders.retrieve_allowed_foc_windows(
                "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
            )
            print(response.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.PortingOrders.GetAllowedFocWindows(context.TODO(), \"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.portingorders.PortingOrderRetrieveAllowedFocWindowsParams;

            import
            com.telnyx.sdk.models.portingorders.PortingOrderRetrieveAllowedFocWindowsResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    PortingOrderRetrieveAllowedFocWindowsResponse response = client.portingOrders().retrieveAllowedFocWindows("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.porting_orders.retrieve_allowed_foc_windows("182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e")


            puts(response)
        - lang: CLI
          source: |-
            telnyx porting-orders retrieve-allowed-foc-windows \
              --api-key 'My API Key' \
              --id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e
components:
  parameters:
    PathPortingOrderID:
      name: id
      description: Porting Order id
      in: path
      required: true
      schema:
        type: string
        format: uuid
  responses:
    ListAllowedFocWindows:
      description: Successful response
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/PortingOrdersAllowedFocWindow'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
  schemas:
    PortingOrdersAllowedFocWindow:
      type: object
      title: PortingOrdersAllowedFocWindow
      properties:
        started_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 formatted date indicating the start of the range of foc
            window.
          example: '2021-03-19T10:07:15.527Z'
          readOnly: true
        ended_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 formatted date indicating the end of the range of foc
            window
          example: '2021-03-19T10:07:15.527Z'
          readOnly: true
        record_type:
          type: string
          example: porting_order
          description: Identifies the type of the resource.
          readOnly: true
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````